import * as React from 'react';
declare class ProcessExampleFirst extends React.Component {
    state: {
        processComponentState: number;
    };
    updateProcessState(processLength: number, processComponentState: number): void;
    updateProcessStateonClick(processComponentState: number): void;
    render(): JSX.Element;
}
export default ProcessExampleFirst;
